Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.live.LiveTranscoding.TranscodingUser Class Reference

## Public Attributes
int | uid
String | userId
int | x
int | y
int | width
int | height
int | zOrder
float | alpha
int | audioChannel

## Detailed Description

The transcodingUser class which defines the video properties of the user displaying the video in the CDN live. Agora supports a maximum of 17 transcoding users in a CDN live streaming channel.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.uid

ID of the user in the CDN live streaming.

## ◆ x

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.x

Horizontal position of the video frame of the user from the top left corner of the CDN live streaming.

## ◆ y

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.y

Vertical position of the video frame of the user from the top left corner of the CDN live streaming.

## ◆ width

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.width

Width of the video frame of the user on the CDN live streaming. The default value is 360.

## ◆ height

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.height

Height of the video frame of the user on the CDN live streaming. The default value is 640.

## ◆ zOrder

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.zOrder

The layer index of the video frame. An integer. The value range is [0,100].

- 0: (Default) Bottom layer.
- 100: Top layer.

Note: If the value is set lower than 0 or higher than 100, the {ERR_INVALID_ARGUMENT} error is reported.

## ◆ alpha

float io.agora.rtc2.live.LiveTranscoding.TranscodingUser.alpha

The transparency level of the user's video that ranges between 0.0 and 1.0. 0.0 means that the video frame is completely transparent and 1.0 means opaque. The default value is 1.0.

## ◆ audioChannel

int io.agora.rtc2.live.LiveTranscoding.TranscodingUser.audioChannel

The audio channel ranging between 0 and 5. The default value is 0.

- 0: (default) Supports dual channels. Depends on the upstream of the broadcaster.
- 1: The audio stream of the broadcaster uses the FL audio channel. If the broadcaster’s upstream uses multiple audio channels, these channels are mixed into mono first.
- 2: The audio stream of the broadcaster uses the FC audio channel. If the broadcaster’s upstream uses multiple audio channels, these channels are mixed into mono first.
- 3: The audio stream of the broadcaster uses the FR audio channel. If the broadcaster’s upstream uses multiple audio channels, these channels are mixed into mono first.
- 4: The audio stream of the broadcaster uses the BL audio channel. If the broadcaster’s upstream uses multiple audio channels, these channels are mixed into mono first.
- 5: The audio stream of the broadcaster uses the BR audio channel. If the broadcaster’s upstream uses multiple audio channels, these channels are mixed into mono first.

Note
  Special players are needed if `audioChannel` is not set as 0.